# QuickHashStringIntHash::update

(No version information available, might only be in Git)

QuickHashStringIntHash::update — Cette méthode met à jour une entrée dans le hachage avec une nouvelle valeur

### Description

public QuickHashStringIntHash::update(string `$key`, int `$value`): bool

Cette méthode met à jour une entrée avec une nouvelle valeur, et retourne si l'entrée a été mise à jour. Si des clés en double sont présentes, seul le premier élément trouvé sera mis à jour. Utilisez QuickHashStringIntHash::CHECK_FOR_DUPES lors de la création du hachage pour empêcher les clés en double de faire partie du hachage.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur de l'entrée. Si une non chaîne est passée, elle sera convertie en chaîne automatiquement si possible.

### Valeurs de retour

`true` lorsque l'entrée a été trouvée et mise à jour, et `false` si l'entrée n'était pas déjà une partie du hachage.

### Exemples

Exemple #1 Exemple de QuickHashStringIntHash::update()

`<?php
$hash = new QuickHashStringIntHash( 1024 );
$hash->add( 'six', 314159265 );
$hash->add( "a lot", 314159265 );
echo $hash->get( 'six' ), "\n";
echo $hash->get( 'a lot' ), "\n";
var_dump( $hash->update( 'a lot', 314159266 ) );
var_dump( $hash->update( "a lot plus one", 314159999 ) );
echo $hash->get( 'six' ), "\n";
echo $hash->get( 'a lot' ), "\n";
?>`

Résultat de l'exemple ci-dessus est similaire à :

    314159265
    314159265
    bool(true)
    bool(false)
    314159265
    314159266